Skip to main content
GET
/
api
/
v2
/
getTokenData
Get token data
curl --request GET \
  --url https://toncenter.com/api/v2/getTokenData \
  --header 'X-API-Key: <api-key>'
{
  "ok": true,
  "result": {
    "@type": "ext.tokens.jettonMasterData",
    "address": "<string>",
    "contract_type": "jetton_master",
    "total_supply": "<string>",
    "mintable": true,
    "jetton_content": {
      "type": "onchain",
      "data": "<string>"
    },
    "jetton_wallet_code": "<string>",
    "admin_address": "<string>"
  },
  "@extra": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key header of the form X-API-Key: <token>, where <token> is your API key. Requests without a key are limited to 1 RPS. More info here.

Query Parameters

address
string
required

The account address to query. Account address in raw format (e.g., 0:ca6e321c...) or user-friendly format (e.g., EQDKbjIcfM...). All formats are automatically detected.

Response

Returns parsed token metadata for Jetton masters, Jetton wallets, NFT collections, and NFT items.

ok
boolean
default:true
required

Returns true if the request succeeded; otherwise false. See the error field for details.

result
object
required

Response data. Present only when ok is true.

@extra
string

Optional request ID that you can pass in the request and receive back in the response. Useful for matching async responses.